ruby-sinatra : Depends: ruby-rack but it is not installable

Bug #843734 reported by Christian Schlittchen on 2011-09-07
46
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ruby-sinatra (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

# apt-get install ruby-sinatra
[...]
ruby-sinatra : Depends: ruby-rack but it is not installable
# apt-get install ruby-rack
[...]
E: Package 'ruby-rack' has no installation candidate

Hans Joachim Desserud (hjd) wrote :

I get the same error message when attempting to install sinatra on Oneiric.

Changed in ruby-sinatra (Ubuntu):
status: New → Confirmed
tags: added: unmetdeps
tags: added: oneiric
Brian Dunnette (bdunnette) wrote :

ruby-rack from 12.04 installs properly and satisfies the dependency - could this be fixed by simply migrating this package to 11.10, as well?

Changed in ruby-sinatra (Ubuntu):
importance: Undecided → Medium
Leo Iannacone (l3on) wrote :

I requested a backport for package ruby-rack in bug #905304.

Daniel Manrique 🚗 (roadmr) wrote :

Look at bug 905304 - the proposed solution to SRU a ruby-sinatra update that depends on librack-ruby (rather than ruby-rack) would seem to be preferrable.

Leo Iannacone (l3on) wrote :
Leo Iannacone (l3on) wrote :

ruby-sinatra (1.2.6-1ubuntu1) oneiric-proposed; urgency=low

  * ruby-sinatra depends on librack-ruby instead ruby-rack.
    Changes not needed it 12.04. (LP: #790059)

 -- Leo Iannacone <email address hidden> Mon, 16 Jan 2012 21:08:02 +0100

Leo Iannacone (l3on) on 2012-01-16
summary: - dependency problem, does not install
+ ruby-sinatra : Depends: ruby-rack but it is not installable
Changed in ruby-sinatra (Ubuntu):
status: Confirmed → Fix Released
Mahyuddin Susanto (udienz) wrote :

Uploaded into oneiric proposed, waiting approval from SRU Team

Changed in ruby-sinatra (Ubuntu Oneiric):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

We can't only SRU this to oneiric as long as oneiric and precise have the same version; after the SRU, oneiric-updates would have a higher version number than precise which would be bad for upgrades. So I propose oneiric-proposed gets 1.2.6-1ubuntu1, and precise gets a no-change upload 1.2.6-1rebuild1 with a changelog like "No-change upload to get a higher version number than oneiric-proposed".

Micah Gersten (micahg) wrote :

ruby-rack 1.4.0 is available in testing, so that could solve the issue for precise

Leo Iannacone (l3on) wrote :

Ok,

Here the new debdiff with the right bug numer set.

I'm also going to request sync with ruby-sinatra in precise.

+ruby-sinatra (1.2.6-1ubuntu1) oneiric-proposed; urgency=low
+
+ * ruby-sinatra depends on librack-ruby instead ruby-rack.
+ Changes not needed in 12.04. (LP: #843734)
+
+ -- Leo Iannacone <email address hidden> Mon, 16 Jan 2012 21:08:02 +0100

Leo Iannacone (l3on) wrote :

I moved changes into bzr branches.

Hello Christian, or anyone else affected,

Accepted ruby-sinatra into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Bartosz Kosiorek (gang65) wrote :

The ruby-sinatra package from proposed is installed perfectly.

Here is the results:
$ sudo apt-get install ruby-sinatra
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  librack-ruby librack-ruby1.8 libruby1.8 ruby-tilt ruby1.8
Suggested packages:
  ruby1.8-examples ri1.8
The following NEW packages will be installed:
  librack-ruby librack-ruby1.8 libruby1.8 ruby-sinatra ruby-tilt ruby1.8
0 upgraded, 6 newly installed, 0 to remove and 126 not upgraded.
Need to get 2266 kB of archives.
After this operation, 11,5 MB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://pl.archive.ubuntu.com/ubuntu/ oneiric/main libruby1.8 i386 1.8.7.352-2 [1780 kB]
Get:2 http://pl.archive.ubuntu.com/ubuntu/ oneiric/main ruby1.8 i386 1.8.7.352-2 [35,6 kB]
Get:3 http://pl.archive.ubuntu.com/ubuntu/ oneiric/universe librack-ruby1.8 all 1.1.0-4ubuntu1 [60,2 kB]
Get:4 http://pl.archive.ubuntu.com/ubuntu/ oneiric/universe librack-ruby all 1.1.0-4ubuntu1 [172 kB]
Get:5 http://pl.archive.ubuntu.com/ubuntu/ oneiric/universe ruby-tilt all 1.3.2-1 [17,7 kB]
Get:6 http://pl.archive.ubuntu.com/ubuntu/ oneiric-proposed/universe ruby-sinatra all 1.2.6-1ubuntu1 [201 kB]
Fetched 2266 kB in 1min 46s (21,2 kB/s)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ruby-sinatra - 1.2.6-1ubuntu1

---------------
ruby-sinatra (1.2.6-1ubuntu1) oneiric-proposed; urgency=low

  * ruby-sinatra depends on librack-ruby instead ruby-rack.
    Changes not needed in 12.04. (LP: #843734)
 -- Leo Iannacone <email address hidden> Mon, 16 Jan 2012 21:08:02 +0100

Changed in ruby-sinatra (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers